<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
    <!-- Generated by javadoc -->
    <title>CTCustomGeometry2D (POI API Documentation)</title>
    <link rel="stylesheet" type="text/css" href="../../../../../../stylesheet.css" title="Style">
    <script type="text/javascript" src="../../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="CTCustomGeometry2D (POI API Documentation)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10,"i9":10,"i10":10,"i11":10,"i12":10,"i13":10,"i14":10,"i15":10,"i16":10,"i17":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";

</script>
<noscript>
    <div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.top.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/CTCustomGeometry2D.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../../org/apache/poi/sl/draw/binding/CTConnectionSiteList.html"
               title="class in org.apache.poi.sl.draw.binding"><span class="typeNameLink">Prev&nbsp;Class</span></a>
        </li>
        <li><a href="../../../../../../org/apache/poi/sl/draw/binding/CTEmbeddedWAVAudioFile.html"
               title="class in org.apache.poi.sl.draw.binding"><span class="typeNameLink">Next&nbsp;Class</span></a>
        </li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../../index.html?org/apache/poi/sl/draw/binding/CTCustomGeometry2D.html" target="_top">Frames</a>
        </li>
        <li><a href="CTCustomGeometry2D.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_top">
        <li><a href="../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
            <li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
            <li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.top">
        <!--   -->
    </a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
    <div class="subTitle">org.apache.poi.sl.draw.binding</div>
    <h2 title="Class CTCustomGeometry2D" class="title">Class CTCustomGeometry2D</h2>
</div>
<div class="contentContainer">
    <ul class="inheritance">
        <li>java.lang.Object</li>
        <li>
            <ul class="inheritance">
                <li>org.apache.poi.sl.draw.binding.CTCustomGeometry2D</li>
            </ul>
        </li>
    </ul>
    <div class="description">
        <ul class="blockList">
            <li class="blockList">
                <hr>
                <br>
                <pre>public class <span class="typeNameLabel">CTCustomGeometry2D</span>
extends java.lang.Object</pre>
                <div class="block"><p>Java class for CT_CustomGeometry2D complex type.

                    <p>The following schema fragment specifies the expected content contained within this class.

                    <pre>
 &lt;complexType name="CT_CustomGeometry2D"&gt;
   &lt;complexContent&gt;
     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType"&gt;
       &lt;sequence&gt;
         &lt;element name="avLst" type="{http://schemas.openxmlformats.org/drawingml/2006/main}CT_GeomGuideList" minOccurs="0"/&gt;
         &lt;element name="gdLst" type="{http://schemas.openxmlformats.org/drawingml/2006/main}CT_GeomGuideList" minOccurs="0"/&gt;
         &lt;element name="ahLst" type="{http://schemas.openxmlformats.org/drawingml/2006/main}CT_AdjustHandleList" minOccurs="0"/&gt;
         &lt;element name="cxnLst" type="{http://schemas.openxmlformats.org/drawingml/2006/main}CT_ConnectionSiteList" minOccurs="0"/&gt;
         &lt;element name="rect" type="{http://schemas.openxmlformats.org/drawingml/2006/main}CT_GeomRect" minOccurs="0"/&gt;
         &lt;element name="pathLst" type="{http://schemas.openxmlformats.org/drawingml/2006/main}CT_Path2DList"/&gt;
       &lt;/sequence&gt;
     &lt;/restriction&gt;
   &lt;/complexContent&gt;
 &lt;/complexType&gt;
 </pre>
                </div>
            </li>
        </ul>
    </div>
    <div class="summary">
        <ul class="blockList">
            <li class="blockList">
                <!-- =========== FIELD SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="field.summary">
                        <!--   -->
                    </a>
                        <h3>Field Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Field Summary table, listing fields, and an explanation">
                            <caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier and Type</th>
                                <th class="colLast" scope="col">Field and Description</th>
                            </tr>
                            <tr class="altColor">
                                <td class="colFirst"><code>protected <a
                                        href="../../../../../../org/apache/poi/sl/draw/binding/CTAdjustHandleList.html"
                                        title="class in org.apache.poi.sl.draw.binding">CTAdjustHandleList</a></code>
                                </td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/sl/draw/binding/CTCustomGeometry2D.html#ahLst">ahLst</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colFirst"><code>protected <a
                                        href="../../../../../../org/apache/poi/sl/draw/binding/CTGeomGuideList.html"
                                        title="class in org.apache.poi.sl.draw.binding">CTGeomGuideList</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/sl/draw/binding/CTCustomGeometry2D.html#avLst">avLst</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="altColor">
                                <td class="colFirst"><code>protected <a
                                        href="../../../../../../org/apache/poi/sl/draw/binding/CTConnectionSiteList.html"
                                        title="class in org.apache.poi.sl.draw.binding">CTConnectionSiteList</a></code>
                                </td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/sl/draw/binding/CTCustomGeometry2D.html#cxnLst">cxnLst</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colFirst"><code>protected <a
                                        href="../../../../../../org/apache/poi/sl/draw/binding/CTGeomGuideList.html"
                                        title="class in org.apache.poi.sl.draw.binding">CTGeomGuideList</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/sl/draw/binding/CTCustomGeometry2D.html#gdLst">gdLst</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="altColor">
                                <td class="colFirst"><code>protected <a
                                        href="../../../../../../org/apache/poi/sl/draw/binding/CTPath2DList.html"
                                        title="class in org.apache.poi.sl.draw.binding">CTPath2DList</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/sl/draw/binding/CTCustomGeometry2D.html#pathLst">pathLst</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colFirst"><code>protected <a
                                        href="../../../../../../org/apache/poi/sl/draw/binding/CTGeomRect.html"
                                        title="class in org.apache.poi.sl.draw.binding">CTGeomRect</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/sl/draw/binding/CTCustomGeometry2D.html#rect">rect</a></span></code>&nbsp;
                                </td>
                            </tr>
                        </table>
                    </li>
                </ul>
                <!-- ======== CONSTRUCTOR SUMMARY ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="constructor.summary">
                        <!--   -->
                    </a>
                        <h3>Constructor Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Constructor Summary table, listing constructors, and an explanation">
                            <caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
                            <tr>
                                <th class="colOne" scope="col">Constructor and Description</th>
                            </tr>
                            <tr class="altColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/sl/draw/binding/CTCustomGeometry2D.html#CTCustomGeometry2D--">CTCustomGeometry2D</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                        </table>
                    </li>
                </ul>
                <!-- ========== METHOD SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.summary">
                        <!--   -->
                    </a>
                        <h3>Method Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Method Summary table, listing methods, and an explanation">
                            <caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span
                                    id="t2" class="tableTab"><span><a
                                    href="javascript:show(2);">Instance Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a
                                    href="javascript:show(8);">Concrete Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier and Type</th>
                                <th class="colLast" scope="col">Method and Description</th>
                            </tr>
                            <tr id="i0" class="altColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../../org/apache/poi/sl/draw/binding/CTAdjustHandleList.html"
                                        title="class in org.apache.poi.sl.draw.binding">CTAdjustHandleList</a></code>
                                </td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/sl/draw/binding/CTCustomGeometry2D.html#getAhLst--">getAhLst</a></span>()</code>
                                    <div class="block">Gets the value of the ahLst property.</div>
                                </td>
                            </tr>
                            <tr id="i1" class="rowColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../../org/apache/poi/sl/draw/binding/CTGeomGuideList.html"
                                        title="class in org.apache.poi.sl.draw.binding">CTGeomGuideList</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/sl/draw/binding/CTCustomGeometry2D.html#getAvLst--">getAvLst</a></span>()</code>
                                    <div class="block">Gets the value of the avLst property.</div>
                                </td>
                            </tr>
                            <tr id="i2" class="altColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../../org/apache/poi/sl/draw/binding/CTConnectionSiteList.html"
                                        title="class in org.apache.poi.sl.draw.binding">CTConnectionSiteList</a></code>
                                </td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/sl/draw/binding/CTCustomGeometry2D.html#getCxnLst--">getCxnLst</a></span>()</code>
                                    <div class="block">Gets the value of the cxnLst property.</div>
                                </td>
                            </tr>
                            <tr id="i3" class="rowColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../../org/apache/poi/sl/draw/binding/CTGeomGuideList.html"
                                        title="class in org.apache.poi.sl.draw.binding">CTGeomGuideList</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/sl/draw/binding/CTCustomGeometry2D.html#getGdLst--">getGdLst</a></span>()</code>
                                    <div class="block">Gets the value of the gdLst property.</div>
                                </td>
                            </tr>
                            <tr id="i4" class="altColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../../org/apache/poi/sl/draw/binding/CTPath2DList.html"
                                        title="class in org.apache.poi.sl.draw.binding">CTPath2DList</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/sl/draw/binding/CTCustomGeometry2D.html#getPathLst--">getPathLst</a></span>()</code>
                                    <div class="block">Gets the value of the pathLst property.</div>
                                </td>
                            </tr>
                            <tr id="i5" class="rowColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../../org/apache/poi/sl/draw/binding/CTGeomRect.html"
                                        title="class in org.apache.poi.sl.draw.binding">CTGeomRect</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/sl/draw/binding/CTCustomGeometry2D.html#getRect--">getRect</a></span>()</code>
                                    <div class="block">Gets the value of the rect property.</div>
                                </td>
                            </tr>
                            <tr id="i6" class="altColor">
                                <td class="colFirst"><code>boolean</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/sl/draw/binding/CTCustomGeometry2D.html#isSetAhLst--">isSetAhLst</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i7" class="rowColor">
                                <td class="colFirst"><code>boolean</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/sl/draw/binding/CTCustomGeometry2D.html#isSetAvLst--">isSetAvLst</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i8" class="altColor">
                                <td class="colFirst"><code>boolean</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/sl/draw/binding/CTCustomGeometry2D.html#isSetCxnLst--">isSetCxnLst</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i9" class="rowColor">
                                <td class="colFirst"><code>boolean</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/sl/draw/binding/CTCustomGeometry2D.html#isSetGdLst--">isSetGdLst</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i10" class="altColor">
                                <td class="colFirst"><code>boolean</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/sl/draw/binding/CTCustomGeometry2D.html#isSetPathLst--">isSetPathLst</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i11" class="rowColor">
                                <td class="colFirst"><code>boolean</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/sl/draw/binding/CTCustomGeometry2D.html#isSetRect--">isSetRect</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i12" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/sl/draw/binding/CTCustomGeometry2D.html#setAhLst-org.apache.poi.sl.draw.binding.CTAdjustHandleList-">setAhLst</a></span>(<a
                                        href="../../../../../../org/apache/poi/sl/draw/binding/CTAdjustHandleList.html"
                                        title="class in org.apache.poi.sl.draw.binding">CTAdjustHandleList</a>&nbsp;value)</code>
                                    <div class="block">Sets the value of the ahLst property.</div>
                                </td>
                            </tr>
                            <tr id="i13" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/sl/draw/binding/CTCustomGeometry2D.html#setAvLst-org.apache.poi.sl.draw.binding.CTGeomGuideList-">setAvLst</a></span>(<a
                                        href="../../../../../../org/apache/poi/sl/draw/binding/CTGeomGuideList.html"
                                        title="class in org.apache.poi.sl.draw.binding">CTGeomGuideList</a>&nbsp;value)</code>
                                    <div class="block">Sets the value of the avLst property.</div>
                                </td>
                            </tr>
                            <tr id="i14" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/sl/draw/binding/CTCustomGeometry2D.html#setCxnLst-org.apache.poi.sl.draw.binding.CTConnectionSiteList-">setCxnLst</a></span>(<a
                                        href="../../../../../../org/apache/poi/sl/draw/binding/CTConnectionSiteList.html"
                                        title="class in org.apache.poi.sl.draw.binding">CTConnectionSiteList</a>&nbsp;value)</code>
                                    <div class="block">Sets the value of the cxnLst property.</div>
                                </td>
                            </tr>
                            <tr id="i15" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/sl/draw/binding/CTCustomGeometry2D.html#setGdLst-org.apache.poi.sl.draw.binding.CTGeomGuideList-">setGdLst</a></span>(<a
                                        href="../../../../../../org/apache/poi/sl/draw/binding/CTGeomGuideList.html"
                                        title="class in org.apache.poi.sl.draw.binding">CTGeomGuideList</a>&nbsp;value)</code>
                                    <div class="block">Sets the value of the gdLst property.</div>
                                </td>
                            </tr>
                            <tr id="i16" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/sl/draw/binding/CTCustomGeometry2D.html#setPathLst-org.apache.poi.sl.draw.binding.CTPath2DList-">setPathLst</a></span>(<a
                                        href="../../../../../../org/apache/poi/sl/draw/binding/CTPath2DList.html"
                                        title="class in org.apache.poi.sl.draw.binding">CTPath2DList</a>&nbsp;value)</code>
                                    <div class="block">Sets the value of the pathLst property.</div>
                                </td>
                            </tr>
                            <tr id="i17" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/sl/draw/binding/CTCustomGeometry2D.html#setRect-org.apache.poi.sl.draw.binding.CTGeomRect-">setRect</a></span>(<a
                                        href="../../../../../../org/apache/poi/sl/draw/binding/CTGeomRect.html"
                                        title="class in org.apache.poi.sl.draw.binding">CTGeomRect</a>&nbsp;value)</code>
                                    <div class="block">Sets the value of the rect property.</div>
                                </td>
                            </tr>
                        </table>
                        <ul class="blockList">
                            <li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from class&nbsp;java.lang.Object</h3>
                                <code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait,
                                    wait, wait</code></li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
    <div class="details">
        <ul class="blockList">
            <li class="blockList">
                <!-- ============ FIELD DETAIL =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="field.detail">
                        <!--   -->
                    </a>
                        <h3>Field Detail</h3>
                        <a name="avLst">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>avLst</h4>
                                <pre>protected&nbsp;<a
                                        href="../../../../../../org/apache/poi/sl/draw/binding/CTGeomGuideList.html"
                                        title="class in org.apache.poi.sl.draw.binding">CTGeomGuideList</a> avLst</pre>
                            </li>
                        </ul>
                        <a name="gdLst">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>gdLst</h4>
                                <pre>protected&nbsp;<a
                                        href="../../../../../../org/apache/poi/sl/draw/binding/CTGeomGuideList.html"
                                        title="class in org.apache.poi.sl.draw.binding">CTGeomGuideList</a> gdLst</pre>
                            </li>
                        </ul>
                        <a name="ahLst">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>ahLst</h4>
                                <pre>protected&nbsp;<a
                                        href="../../../../../../org/apache/poi/sl/draw/binding/CTAdjustHandleList.html"
                                        title="class in org.apache.poi.sl.draw.binding">CTAdjustHandleList</a> ahLst</pre>
                            </li>
                        </ul>
                        <a name="cxnLst">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>cxnLst</h4>
                                <pre>protected&nbsp;<a
                                        href="../../../../../../org/apache/poi/sl/draw/binding/CTConnectionSiteList.html"
                                        title="class in org.apache.poi.sl.draw.binding">CTConnectionSiteList</a> cxnLst</pre>
                            </li>
                        </ul>
                        <a name="rect">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>rect</h4>
                                <pre>protected&nbsp;<a
                                        href="../../../../../../org/apache/poi/sl/draw/binding/CTGeomRect.html"
                                        title="class in org.apache.poi.sl.draw.binding">CTGeomRect</a> rect</pre>
                            </li>
                        </ul>
                        <a name="pathLst">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>pathLst</h4>
                                <pre>protected&nbsp;<a
                                        href="../../../../../../org/apache/poi/sl/draw/binding/CTPath2DList.html"
                                        title="class in org.apache.poi.sl.draw.binding">CTPath2DList</a> pathLst</pre>
                            </li>
                        </ul>
                    </li>
                </ul>
                <!-- ========= CONSTRUCTOR DETAIL ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="constructor.detail">
                        <!--   -->
                    </a>
                        <h3>Constructor Detail</h3>
                        <a name="CTCustomGeometry2D--">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>CTCustomGeometry2D</h4>
                                <pre>public&nbsp;CTCustomGeometry2D()</pre>
                            </li>
                        </ul>
                    </li>
                </ul>
                <!-- ============ METHOD DETAIL ========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.detail">
                        <!--   -->
                    </a>
                        <h3>Method Detail</h3>
                        <a name="getAvLst--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getAvLst</h4>
                                <pre>public&nbsp;<a
                                        href="../../../../../../org/apache/poi/sl/draw/binding/CTGeomGuideList.html"
                                        title="class in org.apache.poi.sl.draw.binding">CTGeomGuideList</a>&nbsp;getAvLst()</pre>
                                <div class="block">Gets the value of the avLst property.</div>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>possible object is
                                        <a href="../../../../../../org/apache/poi/sl/draw/binding/CTGeomGuideList.html"
                                           title="class in org.apache.poi.sl.draw.binding"><code>CTGeomGuideList</code></a>
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setAvLst-org.apache.poi.sl.draw.binding.CTGeomGuideList-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setAvLst</h4>
                                <pre>public&nbsp;void&nbsp;setAvLst(<a
                                        href="../../../../../../org/apache/poi/sl/draw/binding/CTGeomGuideList.html"
                                        title="class in org.apache.poi.sl.draw.binding">CTGeomGuideList</a>&nbsp;value)</pre>
                                <div class="block">Sets the value of the avLst property.</div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>value</code> - allowed object is
                                        <a href="../../../../../../org/apache/poi/sl/draw/binding/CTGeomGuideList.html"
                                           title="class in org.apache.poi.sl.draw.binding"><code>CTGeomGuideList</code></a>
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="isSetAvLst--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>isSetAvLst</h4>
                                <pre>public&nbsp;boolean&nbsp;isSetAvLst()</pre>
                            </li>
                        </ul>
                        <a name="getGdLst--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getGdLst</h4>
                                <pre>public&nbsp;<a
                                        href="../../../../../../org/apache/poi/sl/draw/binding/CTGeomGuideList.html"
                                        title="class in org.apache.poi.sl.draw.binding">CTGeomGuideList</a>&nbsp;getGdLst()</pre>
                                <div class="block">Gets the value of the gdLst property.</div>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>possible object is
                                        <a href="../../../../../../org/apache/poi/sl/draw/binding/CTGeomGuideList.html"
                                           title="class in org.apache.poi.sl.draw.binding"><code>CTGeomGuideList</code></a>
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setGdLst-org.apache.poi.sl.draw.binding.CTGeomGuideList-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setGdLst</h4>
                                <pre>public&nbsp;void&nbsp;setGdLst(<a
                                        href="../../../../../../org/apache/poi/sl/draw/binding/CTGeomGuideList.html"
                                        title="class in org.apache.poi.sl.draw.binding">CTGeomGuideList</a>&nbsp;value)</pre>
                                <div class="block">Sets the value of the gdLst property.</div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>value</code> - allowed object is
                                        <a href="../../../../../../org/apache/poi/sl/draw/binding/CTGeomGuideList.html"
                                           title="class in org.apache.poi.sl.draw.binding"><code>CTGeomGuideList</code></a>
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="isSetGdLst--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>isSetGdLst</h4>
                                <pre>public&nbsp;boolean&nbsp;isSetGdLst()</pre>
                            </li>
                        </ul>
                        <a name="getAhLst--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getAhLst</h4>
                                <pre>public&nbsp;<a
                                        href="../../../../../../org/apache/poi/sl/draw/binding/CTAdjustHandleList.html"
                                        title="class in org.apache.poi.sl.draw.binding">CTAdjustHandleList</a>&nbsp;getAhLst()</pre>
                                <div class="block">Gets the value of the ahLst property.</div>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>possible object is
                                        <a href="../../../../../../org/apache/poi/sl/draw/binding/CTAdjustHandleList.html"
                                           title="class in org.apache.poi.sl.draw.binding"><code>CTAdjustHandleList</code></a>
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setAhLst-org.apache.poi.sl.draw.binding.CTAdjustHandleList-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setAhLst</h4>
                                <pre>public&nbsp;void&nbsp;setAhLst(<a
                                        href="../../../../../../org/apache/poi/sl/draw/binding/CTAdjustHandleList.html"
                                        title="class in org.apache.poi.sl.draw.binding">CTAdjustHandleList</a>&nbsp;value)</pre>
                                <div class="block">Sets the value of the ahLst property.</div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>value</code> - allowed object is
                                        <a href="../../../../../../org/apache/poi/sl/draw/binding/CTAdjustHandleList.html"
                                           title="class in org.apache.poi.sl.draw.binding"><code>CTAdjustHandleList</code></a>
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="isSetAhLst--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>isSetAhLst</h4>
                                <pre>public&nbsp;boolean&nbsp;isSetAhLst()</pre>
                            </li>
                        </ul>
                        <a name="getCxnLst--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getCxnLst</h4>
                                <pre>public&nbsp;<a
                                        href="../../../../../../org/apache/poi/sl/draw/binding/CTConnectionSiteList.html"
                                        title="class in org.apache.poi.sl.draw.binding">CTConnectionSiteList</a>&nbsp;getCxnLst()</pre>
                                <div class="block">Gets the value of the cxnLst property.</div>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>possible object is
                                        <a href="../../../../../../org/apache/poi/sl/draw/binding/CTConnectionSiteList.html"
                                           title="class in org.apache.poi.sl.draw.binding"><code>CTConnectionSiteList</code></a>
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setCxnLst-org.apache.poi.sl.draw.binding.CTConnectionSiteList-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setCxnLst</h4>
                                <pre>public&nbsp;void&nbsp;setCxnLst(<a
                                        href="../../../../../../org/apache/poi/sl/draw/binding/CTConnectionSiteList.html"
                                        title="class in org.apache.poi.sl.draw.binding">CTConnectionSiteList</a>&nbsp;value)</pre>
                                <div class="block">Sets the value of the cxnLst property.</div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>value</code> - allowed object is
                                        <a href="../../../../../../org/apache/poi/sl/draw/binding/CTConnectionSiteList.html"
                                           title="class in org.apache.poi.sl.draw.binding"><code>CTConnectionSiteList</code></a>
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="isSetCxnLst--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>isSetCxnLst</h4>
                                <pre>public&nbsp;boolean&nbsp;isSetCxnLst()</pre>
                            </li>
                        </ul>
                        <a name="getRect--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getRect</h4>
                                <pre>public&nbsp;<a
                                        href="../../../../../../org/apache/poi/sl/draw/binding/CTGeomRect.html"
                                        title="class in org.apache.poi.sl.draw.binding">CTGeomRect</a>&nbsp;getRect()</pre>
                                <div class="block">Gets the value of the rect property.</div>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>possible object is
                                        <a href="../../../../../../org/apache/poi/sl/draw/binding/CTGeomRect.html"
                                           title="class in org.apache.poi.sl.draw.binding"><code>CTGeomRect</code></a>
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setRect-org.apache.poi.sl.draw.binding.CTGeomRect-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setRect</h4>
                                <pre>public&nbsp;void&nbsp;setRect(<a
                                        href="../../../../../../org/apache/poi/sl/draw/binding/CTGeomRect.html"
                                        title="class in org.apache.poi.sl.draw.binding">CTGeomRect</a>&nbsp;value)</pre>
                                <div class="block">Sets the value of the rect property.</div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>value</code> - allowed object is
                                        <a href="../../../../../../org/apache/poi/sl/draw/binding/CTGeomRect.html"
                                           title="class in org.apache.poi.sl.draw.binding"><code>CTGeomRect</code></a>
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="isSetRect--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>isSetRect</h4>
                                <pre>public&nbsp;boolean&nbsp;isSetRect()</pre>
                            </li>
                        </ul>
                        <a name="getPathLst--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getPathLst</h4>
                                <pre>public&nbsp;<a
                                        href="../../../../../../org/apache/poi/sl/draw/binding/CTPath2DList.html"
                                        title="class in org.apache.poi.sl.draw.binding">CTPath2DList</a>&nbsp;getPathLst()</pre>
                                <div class="block">Gets the value of the pathLst property.</div>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>possible object is
                                        <a href="../../../../../../org/apache/poi/sl/draw/binding/CTPath2DList.html"
                                           title="class in org.apache.poi.sl.draw.binding"><code>CTPath2DList</code></a>
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setPathLst-org.apache.poi.sl.draw.binding.CTPath2DList-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setPathLst</h4>
                                <pre>public&nbsp;void&nbsp;setPathLst(<a
                                        href="../../../../../../org/apache/poi/sl/draw/binding/CTPath2DList.html"
                                        title="class in org.apache.poi.sl.draw.binding">CTPath2DList</a>&nbsp;value)</pre>
                                <div class="block">Sets the value of the pathLst property.</div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>value</code> - allowed object is
                                        <a href="../../../../../../org/apache/poi/sl/draw/binding/CTPath2DList.html"
                                           title="class in org.apache.poi.sl.draw.binding"><code>CTPath2DList</code></a>
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="isSetPathLst--">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>isSetPathLst</h4>
                                <pre>public&nbsp;boolean&nbsp;isSetPathLst()</pre>
                            </li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.bottom.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/CTCustomGeometry2D.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../../org/apache/poi/sl/draw/binding/CTConnectionSiteList.html"
               title="class in org.apache.poi.sl.draw.binding"><span class="typeNameLink">Prev&nbsp;Class</span></a>
        </li>
        <li><a href="../../../../../../org/apache/poi/sl/draw/binding/CTEmbeddedWAVAudioFile.html"
               title="class in org.apache.poi.sl.draw.binding"><span class="typeNameLink">Next&nbsp;Class</span></a>
        </li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../../index.html?org/apache/poi/sl/draw/binding/CTCustomGeometry2D.html" target="_top">Frames</a>
        </li>
        <li><a href="CTCustomGeometry2D.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_bottom">
        <li><a href="../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
            <li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
            <li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.bottom">
        <!--   -->
    </a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy">
    <small>
        <i>Copyright 2018 The Apache Software Foundation or
            its licensors, as applicable.</i>
    </small>
</p>
</body>
</html>
